Skip to main content
GET
/
exchange
/
api
/
v1
/
order_book
Get Order Book (L3)
curl --request GET \
  --url https://api.example.com/exchange/api/v1/order_book
{
  "value": [
    {
      "bookOrdinal": 123,
      "orderHash": "<string>",
      "symbol": "<string>",
      "side": 123,
      "originalAmount": "<string>",
      "amount": "<string>",
      "price": "<string>",
      "traderAddress": "<string>",
      "strategyIdHash": "<string>"
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

trader
string

The trader address, with the discriminant prefix.

strategyIdHash
string

The strategy id hash.

depth
integer

The best N bids and asks to return, where N = depth

symbol
string

The symbol

side
enum<integer>

The side of the order. Values include: 0: Bid, 1: Ask

Available options:
0,
1

Response

Order book l3 data

Successful response for the OrderBook L3 API

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026